Skip to main content

Gitlab full reference

This is the full reference documentation for the Gitlab agent connector.

Supported entities and actions

The Gitlab connector supports the following entities and actions.

EntityActions
ProjectsList, Get, Search
IssuesList, Get, Search
Merge RequestsList, Get, Search
UsersList, Get, Search
CommitsList, Get, Search
GroupsList, Get, Search
BranchesList, Get, Search
PipelinesList, Get, Search
Group MembersList, Get, Search
Project MembersList, Get, Search
ReleasesList, Get, Search
TagsList, Get, Search
Group MilestonesList, Get, Search
Project MilestonesList, Get, Search

Projects

Projects List

Get a list of all visible projects across GitLab for the authenticated user.

Python SDK

await gitlab.projects.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "projects",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoPage number (1-indexed)
per_pageintegerNoNumber of items per page (max 100)
membershipbooleanNoLimit by projects that the current user is a member of
ownedbooleanNoLimit by projects explicitly owned by the current user
searchstringNoReturn list of projects matching the search criteria
order_by"id" | "name" | "path" | "created_at" | "updated_at" | "last_activity_at" | "similarity" | "star_count"NoReturn projects ordered by field
sort"asc" | "desc"NoReturn projects sorted in asc or desc order
Response Schema

Records

Field NameTypeDescription
idinteger
namestring
name_with_namespacestring
pathstring
path_with_namespacestring
descriptionnull | string
default_branchnull | string
visibilitystring
web_urlstring
ssh_url_to_repostring
http_url_to_repostring
created_atstring
last_activity_atstring
namespaceobject
archivedboolean
forks_countinteger
star_countinteger
open_issues_countinteger
topicsarray<string>
avatar_urlnull | string
updated_atnull | string
description_htmlnull | string
tag_listnull | array
readme_urlnull | string
_linksnull | object
container_registry_image_prefixnull | string
empty_reponull | boolean
packages_enablednull | boolean
marked_for_deletion_atnull | string
marked_for_deletion_onnull | string
container_registry_enablednull | boolean
container_expiration_policynull | object
repository_object_formatnull | string
issues_enablednull | boolean
merge_requests_enablednull | boolean
wiki_enablednull | boolean
jobs_enablednull | boolean
snippets_enablednull | boolean
service_desk_enablednull | boolean
service_desk_addressnull | string
can_create_merge_request_innull | boolean
resolve_outdated_diff_discussionsnull | boolean
lfs_enablednull | boolean
shared_runners_enablednull | boolean
group_runners_enablednull | boolean
creator_idnull | integer
import_urlnull | string
import_typenull | string
import_statusnull | string
import_errornull | string
emails_disablednull | boolean
emails_enablednull | boolean
show_diff_preview_in_emailnull | boolean
auto_devops_enablednull | boolean
auto_devops_deploy_strategynull | string
request_access_enablednull | boolean
merge_methodnull | string
squash_optionnull | string
enforce_auth_checks_on_uploadsnull | boolean
shared_with_groupsnull | array
only_allow_merge_if_pipeline_succeedsnull | boolean
allow_merge_on_skipped_pipelinenull | boolean
only_allow_merge_if_all_discussions_are_resolvednull | boolean
remove_source_branch_after_mergenull | boolean
printing_merge_request_link_enablednull | boolean
build_timeoutnull | integer
auto_cancel_pending_pipelinesnull | string
build_git_strategynull | string
public_jobsnull | boolean
restrict_user_defined_variablesnull | boolean
keep_latest_artifactnull | boolean
runner_token_expiration_intervalnull | string
resource_group_default_process_modenull | string
ci_config_pathnull | string
ci_default_git_depthnull | integer
ci_delete_pipelines_in_secondsnull | integer
ci_forward_deployment_enablednull | boolean
ci_forward_deployment_rollback_allowednull | boolean
ci_job_token_scope_enablednull | boolean
ci_separated_cachesnull | boolean
ci_allow_fork_pipelines_to_run_in_parent_projectnull | boolean
ci_id_token_sub_claim_componentsnull | array
ci_pipeline_variables_minimum_override_rolenull | string
ci_push_repository_for_job_token_allowednull | boolean
ci_display_pipeline_variablesnull | boolean
protect_merge_request_pipelinesnull | boolean
suggestion_commit_messagenull | string
merge_commit_templatenull | string
squash_commit_templatenull | string
issue_branch_templatenull | string
merge_request_title_regexnull | string
merge_request_title_regex_descriptionnull | string
warn_about_potentially_unwanted_charactersnull | boolean
autoclose_referenced_issuesnull | boolean
max_artifacts_sizenull | integer
external_authorization_classification_labelnull | string
requirements_enablednull | boolean
requirements_access_levelnull | string
security_and_compliance_enablednull | boolean
security_and_compliance_access_levelnull | string
compliance_frameworksnull | array
web_based_commit_signing_enablednull | boolean
permissionsnull | object
issues_access_levelnull | string
repository_access_levelnull | string
merge_requests_access_levelnull | string
forking_access_levelnull | string
wiki_access_levelnull | string
builds_access_levelnull | string
snippets_access_levelnull | string
pages_access_levelnull | string
analytics_access_levelnull | string
container_registry_access_levelnull | string
releases_access_levelnull | string
environments_access_levelnull | string
feature_flags_access_levelnull | string
infrastructure_access_levelnull | string
monitor_access_levelnull | string
model_experiments_access_levelnull | string
model_registry_access_levelnull | string
package_registry_access_levelnull | string

Projects Get

Get a specific project by ID.

Python SDK

await gitlab.projects.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "projects",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesThe ID or URL-encoded path of the project
statisticsbooleanNoInclude project statistics
Response Schema

Records

Field NameTypeDescription
idinteger
namestring
name_with_namespacestring
pathstring
path_with_namespacestring
descriptionnull | string
default_branchnull | string
visibilitystring
web_urlstring
ssh_url_to_repostring
http_url_to_repostring
created_atstring
last_activity_atstring
namespaceobject
archivedboolean
forks_countinteger
star_countinteger
open_issues_countinteger
topicsarray<string>
avatar_urlnull | string
updated_atnull | string
description_htmlnull | string
tag_listnull | array
readme_urlnull | string
_linksnull | object
container_registry_image_prefixnull | string
empty_reponull | boolean
packages_enablednull | boolean
marked_for_deletion_atnull | string
marked_for_deletion_onnull | string
container_registry_enablednull | boolean
container_expiration_policynull | object
repository_object_formatnull | string
issues_enablednull | boolean
merge_requests_enablednull | boolean
wiki_enablednull | boolean
jobs_enablednull | boolean
snippets_enablednull | boolean
service_desk_enablednull | boolean
service_desk_addressnull | string
can_create_merge_request_innull | boolean
resolve_outdated_diff_discussionsnull | boolean
lfs_enablednull | boolean
shared_runners_enablednull | boolean
group_runners_enablednull | boolean
creator_idnull | integer
import_urlnull | string
import_typenull | string
import_statusnull | string
import_errornull | string
emails_disablednull | boolean
emails_enablednull | boolean
show_diff_preview_in_emailnull | boolean
auto_devops_enablednull | boolean
auto_devops_deploy_strategynull | string
request_access_enablednull | boolean
merge_methodnull | string
squash_optionnull | string
enforce_auth_checks_on_uploadsnull | boolean
shared_with_groupsnull | array
only_allow_merge_if_pipeline_succeedsnull | boolean
allow_merge_on_skipped_pipelinenull | boolean
only_allow_merge_if_all_discussions_are_resolvednull | boolean
remove_source_branch_after_mergenull | boolean
printing_merge_request_link_enablednull | boolean
build_timeoutnull | integer
auto_cancel_pending_pipelinesnull | string
build_git_strategynull | string
public_jobsnull | boolean
restrict_user_defined_variablesnull | boolean
keep_latest_artifactnull | boolean
runner_token_expiration_intervalnull | string
resource_group_default_process_modenull | string
ci_config_pathnull | string
ci_default_git_depthnull | integer
ci_delete_pipelines_in_secondsnull | integer
ci_forward_deployment_enablednull | boolean
ci_forward_deployment_rollback_allowednull | boolean
ci_job_token_scope_enablednull | boolean
ci_separated_cachesnull | boolean
ci_allow_fork_pipelines_to_run_in_parent_projectnull | boolean
ci_id_token_sub_claim_componentsnull | array
ci_pipeline_variables_minimum_override_rolenull | string
ci_push_repository_for_job_token_allowednull | boolean
ci_display_pipeline_variablesnull | boolean
protect_merge_request_pipelinesnull | boolean
suggestion_commit_messagenull | string
merge_commit_templatenull | string
squash_commit_templatenull | string
issue_branch_templatenull | string
merge_request_title_regexnull | string
merge_request_title_regex_descriptionnull | string
warn_about_potentially_unwanted_charactersnull | boolean
autoclose_referenced_issuesnull | boolean
max_artifacts_sizenull | integer
external_authorization_classification_labelnull | string
requirements_enablednull | boolean
requirements_access_levelnull | string
security_and_compliance_enablednull | boolean
security_and_compliance_access_levelnull | string
compliance_frameworksnull | array
web_based_commit_signing_enablednull | boolean
permissionsnull | object
issues_access_levelnull | string
repository_access_levelnull | string
merge_requests_access_levelnull | string
forking_access_levelnull | string
wiki_access_levelnull | string
builds_access_levelnull | string
snippets_access_levelnull | string
pages_access_levelnull | string
analytics_access_levelnull | string
container_registry_access_levelnull | string
releases_access_levelnull | string
environments_access_levelnull | string
feature_flags_access_levelnull | string
infrastructure_access_levelnull | string
monitor_access_levelnull | string
model_experiments_access_levelnull | string
model_registry_access_levelnull | string
package_registry_access_levelnull | string

Search and filter projects records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.projects.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "projects",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the project
descriptionstringDescription of the project
description_htmlstringHTML-rendered description of the project
namestringName of the project
name_with_namespacestringFull name including namespace
pathstringURL path of the project
path_with_namespacestringFull path including namespace
created_atstringTimestamp when the project was created
updated_atstringTimestamp when the project was last updated
default_branchstringDefault branch of the project
tag_listarrayList of tags for the project
topicsarrayList of topics for the project
ssh_url_to_repostringSSH URL to the repository
http_url_to_repostringHTTP URL to the repository
web_urlstringWeb URL of the project
readme_urlstringURL to the project README
avatar_urlstringURL of the project avatar
forks_countintegerNumber of forks
star_countintegerNumber of stars
last_activity_atstringTimestamp of last activity
namespaceobjectNamespace the project belongs to
container_registry_image_prefixstringPrefix for container registry images
_linksobjectRelated resource links
packages_enabledbooleanWhether packages are enabled
empty_repobooleanWhether the repository is empty
archivedbooleanWhether the project is archived
visibilitystringVisibility level of the project
resolve_outdated_diff_discussionsbooleanWhether outdated diff discussions are auto-resolved
container_registry_enabledbooleanWhether container registry is enabled
container_expiration_policyobjectContainer expiration policy settings
issues_enabledbooleanWhether issues are enabled
merge_requests_enabledbooleanWhether merge requests are enabled
wiki_enabledbooleanWhether wiki is enabled
jobs_enabledbooleanWhether jobs are enabled
snippets_enabledbooleanWhether snippets are enabled
service_desk_enabledbooleanWhether service desk is enabled
service_desk_addressstringEmail address for the service desk
can_create_merge_request_inbooleanWhether user can create merge requests
issues_access_levelstringAccess level for issues
repository_access_levelstringAccess level for the repository
merge_requests_access_levelstringAccess level for merge requests
forking_access_levelstringAccess level for forking
wiki_access_levelstringAccess level for the wiki
builds_access_levelstringAccess level for builds
snippets_access_levelstringAccess level for snippets
pages_access_levelstringAccess level for pages
operations_access_levelstringAccess level for operations
analytics_access_levelstringAccess level for analytics
emails_disabledbooleanWhether emails are disabled
shared_runners_enabledbooleanWhether shared runners are enabled
lfs_enabledbooleanWhether Git LFS is enabled
creator_idintegerID of the project creator
import_statusstringImport status of the project
open_issues_countintegerNumber of open issues
ci_default_git_depthintegerDefault git depth for CI pipelines
ci_forward_deployment_enabledbooleanWhether CI forward deployment is enabled
public_jobsbooleanWhether jobs are public
build_timeoutintegerBuild timeout in seconds
auto_cancel_pending_pipelinesstringAuto-cancel pending pipelines setting
ci_config_pathstringPath to the CI configuration file
shared_with_groupsarrayGroups the project is shared with
only_allow_merge_if_pipeline_succeedsbooleanWhether merge requires pipeline success
allow_merge_on_skipped_pipelinebooleanWhether merge is allowed on skipped pipeline
restrict_user_defined_variablesbooleanWhether user-defined variables are restricted
request_access_enabledbooleanWhether access requests are enabled
only_allow_merge_if_all_discussions_are_resolvedbooleanWhether merge requires all discussions resolved
remove_source_branch_after_mergebooleanWhether source branch is removed after merge
printing_merge_request_link_enabledbooleanWhether MR link printing is enabled
merge_methodstringMerge method used for the project
statisticsobjectProject statistics
auto_devops_enabledbooleanWhether Auto DevOps is enabled
auto_devops_deploy_strategystringAuto DevOps deployment strategy
autoclose_referenced_issuesbooleanWhether referenced issues are auto-closed
external_authorization_classification_labelstringExternal authorization classification label
requirements_enabledbooleanWhether requirements are enabled
security_and_compliance_enabledbooleanWhether security and compliance is enabled
compliance_frameworksarrayCompliance frameworks for the project
permissionsobjectUser permissions for the project
keep_latest_artifactbooleanWhether the latest artifact is kept
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the project
data[].descriptionstringDescription of the project
data[].description_htmlstringHTML-rendered description of the project
data[].namestringName of the project
data[].name_with_namespacestringFull name including namespace
data[].pathstringURL path of the project
data[].path_with_namespacestringFull path including namespace
data[].created_atstringTimestamp when the project was created
data[].updated_atstringTimestamp when the project was last updated
data[].default_branchstringDefault branch of the project
data[].tag_listarrayList of tags for the project
data[].topicsarrayList of topics for the project
data[].ssh_url_to_repostringSSH URL to the repository
data[].http_url_to_repostringHTTP URL to the repository
data[].web_urlstringWeb URL of the project
data[].readme_urlstringURL to the project README
data[].avatar_urlstringURL of the project avatar
data[].forks_countintegerNumber of forks
data[].star_countintegerNumber of stars
data[].last_activity_atstringTimestamp of last activity
data[].namespaceobjectNamespace the project belongs to
data[].container_registry_image_prefixstringPrefix for container registry images
data[]._linksobjectRelated resource links
data[].packages_enabledbooleanWhether packages are enabled
data[].empty_repobooleanWhether the repository is empty
data[].archivedbooleanWhether the project is archived
data[].visibilitystringVisibility level of the project
data[].resolve_outdated_diff_discussionsbooleanWhether outdated diff discussions are auto-resolved
data[].container_registry_enabledbooleanWhether container registry is enabled
data[].container_expiration_policyobjectContainer expiration policy settings
data[].issues_enabledbooleanWhether issues are enabled
data[].merge_requests_enabledbooleanWhether merge requests are enabled
data[].wiki_enabledbooleanWhether wiki is enabled
data[].jobs_enabledbooleanWhether jobs are enabled
data[].snippets_enabledbooleanWhether snippets are enabled
data[].service_desk_enabledbooleanWhether service desk is enabled
data[].service_desk_addressstringEmail address for the service desk
data[].can_create_merge_request_inbooleanWhether user can create merge requests
data[].issues_access_levelstringAccess level for issues
data[].repository_access_levelstringAccess level for the repository
data[].merge_requests_access_levelstringAccess level for merge requests
data[].forking_access_levelstringAccess level for forking
data[].wiki_access_levelstringAccess level for the wiki
data[].builds_access_levelstringAccess level for builds
data[].snippets_access_levelstringAccess level for snippets
data[].pages_access_levelstringAccess level for pages
data[].operations_access_levelstringAccess level for operations
data[].analytics_access_levelstringAccess level for analytics
data[].emails_disabledbooleanWhether emails are disabled
data[].shared_runners_enabledbooleanWhether shared runners are enabled
data[].lfs_enabledbooleanWhether Git LFS is enabled
data[].creator_idintegerID of the project creator
data[].import_statusstringImport status of the project
data[].open_issues_countintegerNumber of open issues
data[].ci_default_git_depthintegerDefault git depth for CI pipelines
data[].ci_forward_deployment_enabledbooleanWhether CI forward deployment is enabled
data[].public_jobsbooleanWhether jobs are public
data[].build_timeoutintegerBuild timeout in seconds
data[].auto_cancel_pending_pipelinesstringAuto-cancel pending pipelines setting
data[].ci_config_pathstringPath to the CI configuration file
data[].shared_with_groupsarrayGroups the project is shared with
data[].only_allow_merge_if_pipeline_succeedsbooleanWhether merge requires pipeline success
data[].allow_merge_on_skipped_pipelinebooleanWhether merge is allowed on skipped pipeline
data[].restrict_user_defined_variablesbooleanWhether user-defined variables are restricted
data[].request_access_enabledbooleanWhether access requests are enabled
data[].only_allow_merge_if_all_discussions_are_resolvedbooleanWhether merge requires all discussions resolved
data[].remove_source_branch_after_mergebooleanWhether source branch is removed after merge
data[].printing_merge_request_link_enabledbooleanWhether MR link printing is enabled
data[].merge_methodstringMerge method used for the project
data[].statisticsobjectProject statistics
data[].auto_devops_enabledbooleanWhether Auto DevOps is enabled
data[].auto_devops_deploy_strategystringAuto DevOps deployment strategy
data[].autoclose_referenced_issuesbooleanWhether referenced issues are auto-closed
data[].external_authorization_classification_labelstringExternal authorization classification label
data[].requirements_enabledbooleanWhether requirements are enabled
data[].security_and_compliance_enabledbooleanWhether security and compliance is enabled
data[].compliance_frameworksarrayCompliance frameworks for the project
data[].permissionsobjectUser permissions for the project
data[].keep_latest_artifactbooleanWhether the latest artifact is kept

Issues

Issues List

Get a list of a project's issues.

Python SDK

await gitlab.issues.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "issues",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
state"opened" | "closed" | "all"NoFilter issues by state
scope"created_by_me" | "assigned_to_me" | "all"NoFilter issues by scope
order_by"created_at" | "updated_at" | "priority" | "due_date" | "relative_position" | "label_priority" | "milestone_due" | "popularity" | "weight"NoReturn issues ordered by field
sort"asc" | "desc"NoReturn issues sorted in asc or desc order
created_afterstringNoReturn issues created on or after the given time (ISO 8601 format)
created_beforestringNoReturn issues created on or before the given time (ISO 8601 format)
updated_afterstringNoReturn issues updated on or after the given time (ISO 8601 format)
updated_beforestringNoReturn issues updated on or before the given time (ISO 8601 format)
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
project_idinteger
titlestring
descriptionnull | string
statestring
created_atstring
updated_atstring
closed_atnull | string
labelsarray<string>
milestonenull | object
authorobject
assigneenull | object
assigneesarray<object>
web_urlstring
due_datenull | string
confidentialboolean
weightnull | integer
user_notes_countinteger
upvotesinteger
downvotesinteger
closed_bynull | object
time_statsnull | object
task_completion_statusnull | object
referencesnull | object
_linksnull | object
discussion_lockednull | boolean
merge_requests_countnull | integer
blocking_issues_countnull | integer
severitynull | string
typenull | string
issue_typenull | string
has_tasksnull | boolean
task_statusnull | string
moved_to_idnull | integer
service_desk_reply_tonull | string
epic_iidnull | integer
epicnull | object
iterationnull | object
health_statusnull | string
start_datenull | string
importednull | boolean
imported_fromnull | string
subscribednull | boolean

Issues Get

Get a single project issue.

Python SDK

await gitlab.issues.get(
project_id="<str>",
issue_iid=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "issues",
"action": "get",
"params": {
"project_id": "<str>",
"issue_iid": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
issue_iidintegerYesThe internal ID of a project's issue
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
project_idinteger
titlestring
descriptionnull | string
statestring
created_atstring
updated_atstring
closed_atnull | string
labelsarray<string>
milestonenull | object
authorobject
assigneenull | object
assigneesarray<object>
web_urlstring
due_datenull | string
confidentialboolean
weightnull | integer
user_notes_countinteger
upvotesinteger
downvotesinteger
closed_bynull | object
time_statsnull | object
task_completion_statusnull | object
referencesnull | object
_linksnull | object
discussion_lockednull | boolean
merge_requests_countnull | integer
blocking_issues_countnull | integer
severitynull | string
typenull | string
issue_typenull | string
has_tasksnull | boolean
task_statusnull | string
moved_to_idnull | integer
service_desk_reply_tonull | string
epic_iidnull | integer
epicnull | object
iterationnull | object
health_statusnull | string
start_datenull | string
importednull | boolean
imported_fromnull | string
subscribednull | boolean

Search and filter issues records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.issues.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "issues",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the issue
iidintegerInternal ID of the issue within the project
project_idintegerID of the project the issue belongs to
titlestringTitle of the issue
descriptionstringDescription of the issue
statestringState of the issue
created_atstringTimestamp when the issue was created
updated_atstringTimestamp when the issue was last updated
closed_atstringTimestamp when the issue was closed
labelsarrayLabels assigned to the issue
assigneesarrayUsers assigned to the issue
typestringType of the issue
user_notes_countintegerNumber of user notes on the issue
merge_requests_countintegerNumber of related merge requests
upvotesintegerNumber of upvotes
downvotesintegerNumber of downvotes
due_datestringDue date for the issue
confidentialbooleanWhether the issue is confidential
discussion_lockedbooleanWhether discussion is locked
issue_typestringType classification of the issue
web_urlstringWeb URL of the issue
time_statsobjectTime tracking statistics
task_completion_statusobjectTask completion status
blocking_issues_countintegerNumber of blocking issues
has_tasksbooleanWhether the issue has tasks
_linksobjectRelated resource links
referencesobjectIssue references
authorobjectAuthor of the issue
author_idintegerID of the author
assigneeobjectPrimary assignee of the issue
assignee_idintegerID of the primary assignee
closed_byobjectUser who closed the issue
closed_by_idintegerID of the user who closed the issue
milestoneobjectMilestone the issue belongs to
milestone_idintegerID of the milestone
weightintegerWeight of the issue
severitystringSeverity level of the issue
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the issue
data[].iidintegerInternal ID of the issue within the project
data[].project_idintegerID of the project the issue belongs to
data[].titlestringTitle of the issue
data[].descriptionstringDescription of the issue
data[].statestringState of the issue
data[].created_atstringTimestamp when the issue was created
data[].updated_atstringTimestamp when the issue was last updated
data[].closed_atstringTimestamp when the issue was closed
data[].labelsarrayLabels assigned to the issue
data[].assigneesarrayUsers assigned to the issue
data[].typestringType of the issue
data[].user_notes_countintegerNumber of user notes on the issue
data[].merge_requests_countintegerNumber of related merge requests
data[].upvotesintegerNumber of upvotes
data[].downvotesintegerNumber of downvotes
data[].due_datestringDue date for the issue
data[].confidentialbooleanWhether the issue is confidential
data[].discussion_lockedbooleanWhether discussion is locked
data[].issue_typestringType classification of the issue
data[].web_urlstringWeb URL of the issue
data[].time_statsobjectTime tracking statistics
data[].task_completion_statusobjectTask completion status
data[].blocking_issues_countintegerNumber of blocking issues
data[].has_tasksbooleanWhether the issue has tasks
data[]._linksobjectRelated resource links
data[].referencesobjectIssue references
data[].authorobjectAuthor of the issue
data[].author_idintegerID of the author
data[].assigneeobjectPrimary assignee of the issue
data[].assignee_idintegerID of the primary assignee
data[].closed_byobjectUser who closed the issue
data[].closed_by_idintegerID of the user who closed the issue
data[].milestoneobjectMilestone the issue belongs to
data[].milestone_idintegerID of the milestone
data[].weightintegerWeight of the issue
data[].severitystringSeverity level of the issue

Merge Requests

Merge Requests List

Get all merge requests for a project.

Python SDK

await gitlab.merge_requests.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "merge_requests",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
state"opened" | "closed" | "locked" | "merged" | "all"NoFilter merge requests by state
scope"created_by_me" | "assigned_to_me" | "all"NoFilter merge requests by scope
order_by"created_at" | "title" | "updated_at"NoReturn merge requests ordered by field
sort"asc" | "desc"NoReturn merge requests sorted in asc or desc order
created_afterstringNoReturn merge requests created on or after the given time (ISO 8601 format)
created_beforestringNoReturn merge requests created on or before the given time (ISO 8601 format)
updated_afterstringNoReturn merge requests updated on or after the given time (ISO 8601 format)
updated_beforestringNoReturn merge requests updated on or before the given time (ISO 8601 format)
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
project_idinteger
titlestring
descriptionnull | string
statestring
created_atstring
updated_atstring
merged_atnull | string
closed_atnull | string
source_branchstring
target_branchstring
authorobject
assigneenull | object
assigneesarray<object>
labelsarray<string>
milestonenull | object
web_urlstring
merge_statusstring
draftnull | boolean
user_notes_countinteger
upvotesinteger
downvotesinteger
shanull | string
merged_bynull | object
merge_usernull | object
closed_bynull | object
reviewersnull | array
source_project_idnull | integer
target_project_idnull | integer
work_in_progressnull | boolean
merge_when_pipeline_succeedsnull | boolean
detailed_merge_statusnull | string
merge_afternull | string
merge_commit_shanull | string
squash_commit_shanull | string
discussion_lockednull | boolean
should_remove_source_branchnull | boolean
force_remove_source_branchnull | boolean
prepared_atnull | string
referencenull | string
referencesnull | object
time_statsnull | object
squashnull | boolean
squash_on_mergenull | boolean
task_completion_statusnull | object
has_conflictsnull | boolean
blocking_discussions_resolvednull | boolean
approvals_before_mergenull | integer
importednull | boolean
imported_fromnull | string
subscribednull | boolean
changes_countnull | string
latest_build_started_atnull | string
latest_build_finished_atnull | string
first_deployed_to_production_atnull | string
pipelinenull | object
head_pipelinenull | object
diff_refsnull | object
merge_errornull | string
first_contributionnull | boolean
usernull | object

Merge Requests Get

Get information about a single merge request.

Python SDK

await gitlab.merge_requests.get(
project_id="<str>",
merge_request_iid=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "merge_requests",
"action": "get",
"params": {
"project_id": "<str>",
"merge_request_iid": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
merge_request_iidintegerYesThe internal ID of the merge request
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
project_idinteger
titlestring
descriptionnull | string
statestring
created_atstring
updated_atstring
merged_atnull | string
closed_atnull | string
source_branchstring
target_branchstring
authorobject
assigneenull | object
assigneesarray<object>
labelsarray<string>
milestonenull | object
web_urlstring
merge_statusstring
draftnull | boolean
user_notes_countinteger
upvotesinteger
downvotesinteger
shanull | string
merged_bynull | object
merge_usernull | object
closed_bynull | object
reviewersnull | array
source_project_idnull | integer
target_project_idnull | integer
work_in_progressnull | boolean
merge_when_pipeline_succeedsnull | boolean
detailed_merge_statusnull | string
merge_afternull | string
merge_commit_shanull | string
squash_commit_shanull | string
discussion_lockednull | boolean
should_remove_source_branchnull | boolean
force_remove_source_branchnull | boolean
prepared_atnull | string
referencenull | string
referencesnull | object
time_statsnull | object
squashnull | boolean
squash_on_mergenull | boolean
task_completion_statusnull | object
has_conflictsnull | boolean
blocking_discussions_resolvednull | boolean
approvals_before_mergenull | integer
importednull | boolean
imported_fromnull | string
subscribednull | boolean
changes_countnull | string
latest_build_started_atnull | string
latest_build_finished_atnull | string
first_deployed_to_production_atnull | string
pipelinenull | object
head_pipelinenull | object
diff_refsnull | object
merge_errornull | string
first_contributionnull | boolean
usernull | object

Search and filter merge requests records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.merge_requests.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "merge_requests",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the merge request
iidintegerInternal ID of the merge request within the project
project_idintegerID of the project
titlestringTitle of the merge request
descriptionstringDescription of the merge request
statestringState of the merge request
created_atstringTimestamp when the merge request was created
updated_atstringTimestamp when the merge request was last updated
merged_atstringTimestamp when the merge request was merged
closed_atstringTimestamp when the merge request was closed
target_branchstringTarget branch for the merge request
source_branchstringSource branch for the merge request
user_notes_countintegerNumber of user notes
upvotesintegerNumber of upvotes
downvotesintegerNumber of downvotes
assigneesarrayUsers assigned to the merge request
reviewersarrayUsers assigned as reviewers
source_project_idintegerID of the source project
target_project_idintegerID of the target project
labelsarrayLabels assigned to the merge request
work_in_progressbooleanWhether the merge request is a work in progress
merge_when_pipeline_succeedsbooleanWhether to merge when pipeline succeeds
merge_statusstringMerge status of the merge request
shastringSHA of the head commit
merge_commit_shastringSHA of the merge commit
squash_commit_shastringSHA of the squash commit
discussion_lockedbooleanWhether discussion is locked
should_remove_source_branchbooleanWhether source branch should be removed
force_remove_source_branchbooleanWhether to force remove source branch
referencestringShort reference for the merge request
referencesobjectMerge request references
web_urlstringWeb URL of the merge request
time_statsobjectTime tracking statistics
squashbooleanWhether to squash commits on merge
task_completion_statusobjectTask completion status
has_conflictsbooleanWhether the merge request has conflicts
blocking_discussions_resolvedbooleanWhether blocking discussions are resolved
authorobjectAuthor of the merge request
author_idintegerID of the author
assigneeobjectPrimary assignee of the merge request
assignee_idintegerID of the primary assignee
closed_byobjectUser who closed the merge request
closed_by_idintegerID of the user who closed it
milestoneobjectMilestone the merge request belongs to
milestone_idintegerID of the milestone
merged_byobjectUser who merged the merge request
merged_by_idintegerID of the user who merged it
draftbooleanWhether the merge request is a draft
detailed_merge_statusstringDetailed merge status
merge_userobjectUser who performed the merge
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the merge request
data[].iidintegerInternal ID of the merge request within the project
data[].project_idintegerID of the project
data[].titlestringTitle of the merge request
data[].descriptionstringDescription of the merge request
data[].statestringState of the merge request
data[].created_atstringTimestamp when the merge request was created
data[].updated_atstringTimestamp when the merge request was last updated
data[].merged_atstringTimestamp when the merge request was merged
data[].closed_atstringTimestamp when the merge request was closed
data[].target_branchstringTarget branch for the merge request
data[].source_branchstringSource branch for the merge request
data[].user_notes_countintegerNumber of user notes
data[].upvotesintegerNumber of upvotes
data[].downvotesintegerNumber of downvotes
data[].assigneesarrayUsers assigned to the merge request
data[].reviewersarrayUsers assigned as reviewers
data[].source_project_idintegerID of the source project
data[].target_project_idintegerID of the target project
data[].labelsarrayLabels assigned to the merge request
data[].work_in_progressbooleanWhether the merge request is a work in progress
data[].merge_when_pipeline_succeedsbooleanWhether to merge when pipeline succeeds
data[].merge_statusstringMerge status of the merge request
data[].shastringSHA of the head commit
data[].merge_commit_shastringSHA of the merge commit
data[].squash_commit_shastringSHA of the squash commit
data[].discussion_lockedbooleanWhether discussion is locked
data[].should_remove_source_branchbooleanWhether source branch should be removed
data[].force_remove_source_branchbooleanWhether to force remove source branch
data[].referencestringShort reference for the merge request
data[].referencesobjectMerge request references
data[].web_urlstringWeb URL of the merge request
data[].time_statsobjectTime tracking statistics
data[].squashbooleanWhether to squash commits on merge
data[].task_completion_statusobjectTask completion status
data[].has_conflictsbooleanWhether the merge request has conflicts
data[].blocking_discussions_resolvedbooleanWhether blocking discussions are resolved
data[].authorobjectAuthor of the merge request
data[].author_idintegerID of the author
data[].assigneeobjectPrimary assignee of the merge request
data[].assignee_idintegerID of the primary assignee
data[].closed_byobjectUser who closed the merge request
data[].closed_by_idintegerID of the user who closed it
data[].milestoneobjectMilestone the merge request belongs to
data[].milestone_idintegerID of the milestone
data[].merged_byobjectUser who merged the merge request
data[].merged_by_idintegerID of the user who merged it
data[].draftbooleanWhether the merge request is a draft
data[].detailed_merge_statusstringDetailed merge status
data[].merge_userobjectUser who performed the merge

Users

Users List

Get a list of users.

Python SDK

await gitlab.users.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "users",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoPage number
per_pageintegerNoNumber of items per page
searchstringNoSearch for users by name, username, or email
activebooleanNoFilter users by active state
Response Schema

Records

Field NameTypeDescription
idinteger
usernamestring
namestring
statestring
avatar_urlnull | string
web_urlstring
lockednull | boolean
public_emailnull | string

Users Get

Get a single user by ID.

Python SDK

await gitlab.users.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "users",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesThe ID of the user
Response Schema

Records

Field NameTypeDescription
idinteger
usernamestring
namestring
statestring
avatar_urlnull | string
web_urlstring
lockednull | boolean
public_emailnull | string

Search and filter users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.users.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "users",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the user
namestringFull name of the user
usernamestringUsername of the user
statestringState of the user account
avatar_urlstringURL of the user avatar
web_urlstringWeb URL of the user profile
lockedbooleanWhether the user account is locked
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the user
data[].namestringFull name of the user
data[].usernamestringUsername of the user
data[].statestringState of the user account
data[].avatar_urlstringURL of the user avatar
data[].web_urlstringWeb URL of the user profile
data[].lockedbooleanWhether the user account is locked

Commits

Commits List

Get a list of repository commits in a project.

Python SDK

await gitlab.commits.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "commits",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
ref_namestringNoThe name of a repository branch, tag, or revision range
sincestringNoOnly commits after or on this date (ISO 8601)
untilstringNoOnly commits before or on this date (ISO 8601)
with_statsbooleanNoInclude stats about each commit
Response Schema

Records

Field NameTypeDescription
idstring
short_idstring
titlestring
messagestring
author_namestring
author_emailstring
authored_datestring
committer_namestring
committer_emailstring
committed_datestring
created_atstring
parent_idsarray<string>
web_urlstring
statsnull | object
trailersnull | object
extended_trailersnull | object

Commits Get

Get a specific commit identified by the commit hash or name of a branch or tag.

Python SDK

await gitlab.commits.get(
project_id="<str>",
sha="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "commits",
"action": "get",
"params": {
"project_id": "<str>",
"sha": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
shastringYesThe commit hash or name of a repository branch or tag
statsbooleanNoInclude commit stats
Response Schema

Records

Field NameTypeDescription
idstring
short_idstring
titlestring
messagestring
author_namestring
author_emailstring
authored_datestring
committer_namestring
committer_emailstring
committed_datestring
created_atstring
parent_idsarray<string>
web_urlstring
statsnull | object
trailersnull | object
extended_trailersnull | object

Search and filter commits records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.commits.search(
query={"filter": {"eq": {"project_id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "commits",
"action": "search",
"params": {
"query": {"filter": {"eq": {"project_id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
project_idintegerID of the project the commit belongs to
idstringSHA of the commit
short_idstringShort SHA of the commit
created_atstringTimestamp when the commit was created
parent_idsarraySHAs of parent commits
titlestringTitle of the commit
messagestringFull commit message
author_namestringName of the commit author
author_emailstringEmail of the commit author
authored_datestringDate the commit was authored
committer_namestringName of the committer
committer_emailstringEmail of the committer
committed_datestringDate the commit was committed
trailersobjectGit trailers for the commit
web_urlstringWeb URL of the commit
statsobjectCommit statistics
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].project_idintegerID of the project the commit belongs to
data[].idstringSHA of the commit
data[].short_idstringShort SHA of the commit
data[].created_atstringTimestamp when the commit was created
data[].parent_idsarraySHAs of parent commits
data[].titlestringTitle of the commit
data[].messagestringFull commit message
data[].author_namestringName of the commit author
data[].author_emailstringEmail of the commit author
data[].authored_datestringDate the commit was authored
data[].committer_namestringName of the committer
data[].committer_emailstringEmail of the committer
data[].committed_datestringDate the commit was committed
data[].trailersobjectGit trailers for the commit
data[].web_urlstringWeb URL of the commit
data[].statsobjectCommit statistics

Groups

Groups List

Get a list of visible groups for the authenticated user.

Python SDK

await gitlab.groups.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoPage number
per_pageintegerNoNumber of items per page
searchstringNoSearch for groups by name or path
ownedbooleanNoLimit to groups explicitly owned by the current user
order_by"name" | "path" | "id"NoOrder groups by field
sort"asc" | "desc"NoSort order
Response Schema

Records

Field NameTypeDescription
idinteger
namestring
pathstring
full_namestring
full_pathstring
descriptionnull | string
visibilitystring
web_urlstring
avatar_urlnull | string
created_atstring
parent_idnull | integer
organization_idnull | integer
default_branchnull | string
default_branch_protectionnull | integer
default_branch_protection_defaultsnull | object
share_with_group_locknull | boolean
require_two_factor_authenticationnull | boolean
two_factor_grace_periodnull | integer
project_creation_levelnull | string
auto_devops_enablednull | boolean
subgroup_creation_levelnull | string
emails_disablednull | boolean
emails_enablednull | boolean
mentions_disablednull | boolean
lfs_enablednull | boolean
request_access_enablednull | boolean
shared_runners_settingnull | string
ldap_cnnull | string
ldap_accessnull | string
wiki_access_levelnull | string
marked_for_deletion_onnull | string
archivednull | boolean
math_rendering_limits_enablednull | boolean
lock_math_rendering_limits_enablednull | boolean
max_artifacts_sizenull | integer
show_diff_preview_in_emailnull | boolean
web_based_commit_signing_enablednull | boolean
duo_namespace_access_rulesnull | array
shared_with_groupsnull | array
runners_tokennull | string
enabled_git_access_protocolnull | string
prevent_sharing_groups_outside_hierarchynull | boolean
projectsnull | array
shared_projectsnull | array
shared_runners_minutes_limitnull | integer
extra_shared_runners_minutes_limitnull | integer
prevent_forking_outside_groupnull | boolean
membership_locknull | boolean
ip_restriction_rangesnull | string
service_access_tokens_expiration_enforcednull | boolean

Groups Get

Get all details of a group.

Python SDK

await gitlab.groups.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesThe ID or URL-encoded path of the group
Response Schema

Records

Field NameTypeDescription
idinteger
namestring
pathstring
full_namestring
full_pathstring
descriptionnull | string
visibilitystring
web_urlstring
avatar_urlnull | string
created_atstring
parent_idnull | integer
organization_idnull | integer
default_branchnull | string
default_branch_protectionnull | integer
default_branch_protection_defaultsnull | object
share_with_group_locknull | boolean
require_two_factor_authenticationnull | boolean
two_factor_grace_periodnull | integer
project_creation_levelnull | string
auto_devops_enablednull | boolean
subgroup_creation_levelnull | string
emails_disablednull | boolean
emails_enablednull | boolean
mentions_disablednull | boolean
lfs_enablednull | boolean
request_access_enablednull | boolean
shared_runners_settingnull | string
ldap_cnnull | string
ldap_accessnull | string
wiki_access_levelnull | string
marked_for_deletion_onnull | string
archivednull | boolean
math_rendering_limits_enablednull | boolean
lock_math_rendering_limits_enablednull | boolean
max_artifacts_sizenull | integer
show_diff_preview_in_emailnull | boolean
web_based_commit_signing_enablednull | boolean
duo_namespace_access_rulesnull | array
shared_with_groupsnull | array
runners_tokennull | string
enabled_git_access_protocolnull | string
prevent_sharing_groups_outside_hierarchynull | boolean
projectsnull | array
shared_projectsnull | array
shared_runners_minutes_limitnull | integer
extra_shared_runners_minutes_limitnull | integer
prevent_forking_outside_groupnull | boolean
membership_locknull | boolean
ip_restriction_rangesnull | string
service_access_tokens_expiration_enforcednull | boolean

Search and filter groups records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.groups.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the group
web_urlstringWeb URL of the group
namestringName of the group
pathstringURL path of the group
descriptionstringDescription of the group
visibilitystringVisibility level of the group
share_with_group_lockbooleanWhether sharing with other groups is locked
require_two_factor_authenticationbooleanWhether two-factor authentication is required
two_factor_grace_periodintegerGrace period for two-factor authentication
project_creation_levelstringLevel required to create projects
auto_devops_enabledbooleanWhether Auto DevOps is enabled
subgroup_creation_levelstringLevel required to create subgroups
emails_disabledbooleanWhether emails are disabled
emails_enabledbooleanWhether emails are enabled
mentions_disabledbooleanWhether mentions are disabled
lfs_enabledbooleanWhether Git LFS is enabled
default_branch_protectionintegerDefault branch protection level
avatar_urlstringURL of the group avatar
request_access_enabledbooleanWhether access requests are enabled
full_namestringFull name of the group
full_pathstringFull path of the group
created_atstringTimestamp when the group was created
parent_idintegerID of the parent group
shared_with_groupsarrayGroups this group is shared with
projectsarrayProjects in the group
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the group
data[].web_urlstringWeb URL of the group
data[].namestringName of the group
data[].pathstringURL path of the group
data[].descriptionstringDescription of the group
data[].visibilitystringVisibility level of the group
data[].share_with_group_lockbooleanWhether sharing with other groups is locked
data[].require_two_factor_authenticationbooleanWhether two-factor authentication is required
data[].two_factor_grace_periodintegerGrace period for two-factor authentication
data[].project_creation_levelstringLevel required to create projects
data[].auto_devops_enabledbooleanWhether Auto DevOps is enabled
data[].subgroup_creation_levelstringLevel required to create subgroups
data[].emails_disabledbooleanWhether emails are disabled
data[].emails_enabledbooleanWhether emails are enabled
data[].mentions_disabledbooleanWhether mentions are disabled
data[].lfs_enabledbooleanWhether Git LFS is enabled
data[].default_branch_protectionintegerDefault branch protection level
data[].avatar_urlstringURL of the group avatar
data[].request_access_enabledbooleanWhether access requests are enabled
data[].full_namestringFull name of the group
data[].full_pathstringFull path of the group
data[].created_atstringTimestamp when the group was created
data[].parent_idintegerID of the parent group
data[].shared_with_groupsarrayGroups this group is shared with
data[].projectsarrayProjects in the group

Branches

Branches List

Get a list of repository branches from a project.

Python SDK

await gitlab.branches.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "branches",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
searchstringNoReturn list of branches containing the search string
Response Schema

Records

Field NameTypeDescription
namestring
mergedboolean
protectedboolean
defaultboolean
developers_can_pushboolean
developers_can_mergeboolean
can_pushboolean
web_urlstring
commitnull | object

Branches Get

Get a single project repository branch.

Python SDK

await gitlab.branches.get(
project_id="<str>",
branch="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "branches",
"action": "get",
"params": {
"project_id": "<str>",
"branch": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
branchstringYesThe name of the branch (URL-encoded if it contains special characters)
Response Schema

Records

Field NameTypeDescription
namestring
mergedboolean
protectedboolean
defaultboolean
developers_can_pushboolean
developers_can_mergeboolean
can_pushboolean
web_urlstring
commitnull | object

Search and filter branches records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.branches.search(
query={"filter": {"eq": {"project_id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "branches",
"action": "search",
"params": {
"query": {"filter": {"eq": {"project_id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
project_idintegerID of the project the branch belongs to
namestringName of the branch
mergedbooleanWhether the branch is merged
protectedbooleanWhether the branch is protected
developers_can_pushbooleanWhether developers can push to the branch
developers_can_mergebooleanWhether developers can merge into the branch
can_pushbooleanWhether the current user can push
defaultbooleanWhether this is the default branch
web_urlstringWeb URL of the branch
commit_idstringSHA of the head commit
commitobjectHead commit details
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].project_idintegerID of the project the branch belongs to
data[].namestringName of the branch
data[].mergedbooleanWhether the branch is merged
data[].protectedbooleanWhether the branch is protected
data[].developers_can_pushbooleanWhether developers can push to the branch
data[].developers_can_mergebooleanWhether developers can merge into the branch
data[].can_pushbooleanWhether the current user can push
data[].defaultbooleanWhether this is the default branch
data[].web_urlstringWeb URL of the branch
data[].commit_idstringSHA of the head commit
data[].commitobjectHead commit details

Pipelines

Pipelines List

List pipelines in a project.

Python SDK

await gitlab.pipelines.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "pipelines",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
status"created" | "waiting_for_resource" | "preparing" | "pending" | "running" | "success" | "failed" | "canceled" | "skipped" | "manual" | "scheduled"NoFilter pipelines by status
refstringNoFilter pipelines by ref
order_by"id" | "status" | "ref" | "updated_at" | "user_id"NoOrder pipelines by field
sort"asc" | "desc"NoSort order
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
project_idinteger
statusstring
refstring
shastring
sourcestring
created_atstring
updated_atstring
web_urlstring
namenull | string

Pipelines Get

Get one pipeline of a project.

Python SDK

await gitlab.pipelines.get(
project_id="<str>",
pipeline_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "pipelines",
"action": "get",
"params": {
"project_id": "<str>",
"pipeline_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pipeline_idintegerYesThe ID of the pipeline
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
project_idinteger
statusstring
refstring
shastring
sourcestring
created_atstring
updated_atstring
web_urlstring
namenull | string

Search and filter pipelines records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.pipelines.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "pipelines",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the pipeline
iidintegerInternal ID of the pipeline within the project
project_idintegerID of the project
shastringSHA of the commit that triggered the pipeline
sourcestringSource that triggered the pipeline
refstringBranch or tag that triggered the pipeline
statusstringStatus of the pipeline
created_atstringTimestamp when the pipeline was created
updated_atstringTimestamp when the pipeline was last updated
web_urlstringWeb URL of the pipeline
namestringName of the pipeline
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the pipeline
data[].iidintegerInternal ID of the pipeline within the project
data[].project_idintegerID of the project
data[].shastringSHA of the commit that triggered the pipeline
data[].sourcestringSource that triggered the pipeline
data[].refstringBranch or tag that triggered the pipeline
data[].statusstringStatus of the pipeline
data[].created_atstringTimestamp when the pipeline was created
data[].updated_atstringTimestamp when the pipeline was last updated
data[].web_urlstringWeb URL of the pipeline
data[].namestringName of the pipeline

Group Members

Group Members List

Gets a list of group members viewable by the authenticated user.

Python SDK

await gitlab.group_members.list(
group_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_members",
"action": "list",
"params": {
"group_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
group_idstringYesThe ID or URL-encoded path of the group
pageintegerNoPage number
per_pageintegerNoNumber of items per page
querystringNoFilter members by name or username
Response Schema

Records

Field NameTypeDescription
idinteger
usernamestring
namestring
statestring
avatar_urlnull | string
web_urlstring
access_levelinteger
expires_atnull | string
created_atstring
lockednull | boolean
membership_statenull | string
public_emailnull | string
created_bynull | object

Group Members Get

Get a member of a group.

Python SDK

await gitlab.group_members.get(
group_id="<str>",
user_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_members",
"action": "get",
"params": {
"group_id": "<str>",
"user_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
group_idstringYesThe ID or URL-encoded path of the group
user_idintegerYesThe user ID of the member
Response Schema

Records

Field NameTypeDescription
idinteger
usernamestring
namestring
statestring
avatar_urlnull | string
web_urlstring
access_levelinteger
expires_atnull | string
created_atstring
lockednull | boolean
membership_statenull | string
public_emailnull | string
created_bynull | object

Search and filter group members records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.group_members.search(
query={"filter": {"eq": {"group_id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_members",
"action": "search",
"params": {
"query": {"filter": {"eq": {"group_id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
group_idintegerID of the group
idintegerID of the member
namestringFull name of the member
usernamestringUsername of the member
statestringState of the member account
membership_statestringState of the membership
avatar_urlstringURL of the member avatar
web_urlstringWeb URL of the member profile
access_levelintegerAccess level of the member
created_atstringTimestamp when the member was added
expires_atstringExpiration date of the membership
created_byobjectUser who added the member
lockedbooleanWhether the member account is locked
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].group_idintegerID of the group
data[].idintegerID of the member
data[].namestringFull name of the member
data[].usernamestringUsername of the member
data[].statestringState of the member account
data[].membership_statestringState of the membership
data[].avatar_urlstringURL of the member avatar
data[].web_urlstringWeb URL of the member profile
data[].access_levelintegerAccess level of the member
data[].created_atstringTimestamp when the member was added
data[].expires_atstringExpiration date of the membership
data[].created_byobjectUser who added the member
data[].lockedbooleanWhether the member account is locked

Project Members

Project Members List

Gets a list of project members viewable by the authenticated user.

Python SDK

await gitlab.project_members.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "project_members",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
querystringNoFilter members by name or username
Response Schema

Records

Field NameTypeDescription
idinteger
usernamestring
namestring
statestring
avatar_urlnull | string
web_urlstring
access_levelinteger
expires_atnull | string
created_atstring
lockednull | boolean
membership_statenull | string
public_emailnull | string
created_bynull | object

Project Members Get

Get a member of a project.

Python SDK

await gitlab.project_members.get(
project_id="<str>",
user_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "project_members",
"action": "get",
"params": {
"project_id": "<str>",
"user_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
user_idintegerYesThe user ID of the member
Response Schema

Records

Field NameTypeDescription
idinteger
usernamestring
namestring
statestring
avatar_urlnull | string
web_urlstring
access_levelinteger
expires_atnull | string
created_atstring
lockednull | boolean
membership_statenull | string
public_emailnull | string
created_bynull | object

Search and filter project members records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.project_members.search(
query={"filter": {"eq": {"project_id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "project_members",
"action": "search",
"params": {
"query": {"filter": {"eq": {"project_id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
project_idintegerID of the project
idintegerID of the member
namestringFull name of the member
usernamestringUsername of the member
statestringState of the member account
membership_statestringState of the membership
avatar_urlstringURL of the member avatar
web_urlstringWeb URL of the member profile
access_levelintegerAccess level of the member
created_atstringTimestamp when the member was added
expires_atstringExpiration date of the membership
created_byobjectUser who added the member
lockedbooleanWhether the member account is locked
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].project_idintegerID of the project
data[].idintegerID of the member
data[].namestringFull name of the member
data[].usernamestringUsername of the member
data[].statestringState of the member account
data[].membership_statestringState of the membership
data[].avatar_urlstringURL of the member avatar
data[].web_urlstringWeb URL of the member profile
data[].access_levelintegerAccess level of the member
data[].created_atstringTimestamp when the member was added
data[].expires_atstringExpiration date of the membership
data[].created_byobjectUser who added the member
data[].lockedbooleanWhether the member account is locked

Releases

Releases List

Paginated list of releases for a given project, sorted by released_at.

Python SDK

await gitlab.releases.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "releases",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
order_by"released_at" | "created_at"NoOrder by field
sort"asc" | "desc"NoSort order
Response Schema

Records

Field NameTypeDescription
namestring
tag_namestring
descriptionnull | string
created_atstring
released_atstring
authorobject
commitobject
upcoming_releaseboolean
_linksobject
assetsnull | object
milestonesnull | array
evidencesnull | array
commit_pathnull | string
tag_pathnull | string

Releases Get

Get a release for the given tag.

Python SDK

await gitlab.releases.get(
project_id="<str>",
tag_name="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "releases",
"action": "get",
"params": {
"project_id": "<str>",
"tag_name": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
tag_namestringYesThe Git tag the release is associated with
Response Schema

Records

Field NameTypeDescription
namestring
tag_namestring
descriptionnull | string
created_atstring
released_atstring
authorobject
commitobject
upcoming_releaseboolean
_linksobject
assetsnull | object
milestonesnull | array
evidencesnull | array
commit_pathnull | string
tag_pathnull | string

Search and filter releases records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.releases.search(
query={"filter": {"eq": {"name": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "releases",
"action": "search",
"params": {
"query": {"filter": {"eq": {"name": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
namestringName of the release
tag_namestringTag name associated with the release
descriptionstringDescription of the release
created_atstringTimestamp when the release was created
released_atstringTimestamp when the release was published
upcoming_releasebooleanWhether this is an upcoming release
milestonesarrayMilestones associated with the release
commit_pathstringPath to the release commit
tag_pathstringPath to the release tag
assetsobjectAssets attached to the release
evidencesarrayEvidences collected for the release
_linksobjectRelated resource links
authorobjectAuthor of the release
author_idintegerID of the author
commitobjectCommit associated with the release
commit_idstringSHA of the associated commit
project_idintegerID of the project
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].namestringName of the release
data[].tag_namestringTag name associated with the release
data[].descriptionstringDescription of the release
data[].created_atstringTimestamp when the release was created
data[].released_atstringTimestamp when the release was published
data[].upcoming_releasebooleanWhether this is an upcoming release
data[].milestonesarrayMilestones associated with the release
data[].commit_pathstringPath to the release commit
data[].tag_pathstringPath to the release tag
data[].assetsobjectAssets attached to the release
data[].evidencesarrayEvidences collected for the release
data[]._linksobjectRelated resource links
data[].authorobjectAuthor of the release
data[].author_idintegerID of the author
data[].commitobjectCommit associated with the release
data[].commit_idstringSHA of the associated commit
data[].project_idintegerID of the project

Tags

Tags List

Get a list of repository tags from a project, sorted by update date and time in descending order.

Python SDK

await gitlab.tags.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
searchstringNoReturn list of tags matching the search criteria
order_by"name" | "updated" | "version"NoReturn tags ordered by field
sort"asc" | "desc"NoSort order
Response Schema

Records

Field NameTypeDescription
namestring
messagenull | string
targetstring
commitobject
releasenull | object
protectedboolean
created_atnull | string

Tags Get

Get a specific repository tag determined by its name.

Python SDK

await gitlab.tags.get(
project_id="<str>",
tag_name="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "get",
"params": {
"project_id": "<str>",
"tag_name": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
tag_namestringYesThe name of the tag
Response Schema

Records

Field NameTypeDescription
namestring
messagenull | string
targetstring
commitobject
releasenull | object
protectedboolean
created_atnull | string

Search and filter tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.tags.search(
query={"filter": {"eq": {"name": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "search",
"params": {
"query": {"filter": {"eq": {"name": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
namestringName of the tag
messagestringAnnotation message of the tag
targetstringSHA the tag points to
releaseobjectRelease associated with the tag
protectedbooleanWhether the tag is protected
commitobjectCommit the tag points to
commit_idstringSHA of the tagged commit
project_idintegerID of the project
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].namestringName of the tag
data[].messagestringAnnotation message of the tag
data[].targetstringSHA the tag points to
data[].releaseobjectRelease associated with the tag
data[].protectedbooleanWhether the tag is protected
data[].commitobjectCommit the tag points to
data[].commit_idstringSHA of the tagged commit
data[].project_idintegerID of the project

Group Milestones

Group Milestones List

Returns a list of group milestones.

Python SDK

await gitlab.group_milestones.list(
group_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_milestones",
"action": "list",
"params": {
"group_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
group_idstringYesThe ID or URL-encoded path of the group
pageintegerNoPage number
per_pageintegerNoNumber of items per page
state"active" | "closed"NoFilter milestones by state
searchstringNoSearch for milestones by title or description
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
titlestring
descriptionnull | string
statestring
due_datenull | string
start_datenull | string
created_atstring
updated_atstring
web_urlstring
expirednull | boolean
group_idnull | integer
project_idnull | integer

Group Milestones Get

Get a single group milestone.

Python SDK

await gitlab.group_milestones.get(
group_id="<str>",
milestone_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_milestones",
"action": "get",
"params": {
"group_id": "<str>",
"milestone_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
group_idstringYesThe ID or URL-encoded path of the group
milestone_idintegerYesThe ID of the milestone
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
titlestring
descriptionnull | string
statestring
due_datenull | string
start_datenull | string
created_atstring
updated_atstring
web_urlstring
expirednull | boolean
group_idnull | integer
project_idnull | integer

Search and filter group milestones records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.group_milestones.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_milestones",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the milestone
iidintegerInternal ID of the milestone within the group
group_idintegerID of the group
titlestringTitle of the milestone
descriptionstringDescription of the milestone
statestringState of the milestone
created_atstringTimestamp when the milestone was created
updated_atstringTimestamp when the milestone was last updated
due_datestringDue date of the milestone
start_datestringStart date of the milestone
expiredbooleanWhether the milestone is expired
web_urlstringWeb URL of the milestone
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the milestone
data[].iidintegerInternal ID of the milestone within the group
data[].group_idintegerID of the group
data[].titlestringTitle of the milestone
data[].descriptionstringDescription of the milestone
data[].statestringState of the milestone
data[].created_atstringTimestamp when the milestone was created
data[].updated_atstringTimestamp when the milestone was last updated
data[].due_datestringDue date of the milestone
data[].start_datestringStart date of the milestone
data[].expiredbooleanWhether the milestone is expired
data[].web_urlstringWeb URL of the milestone

Project Milestones

Project Milestones List

Returns a list of project milestones.

Python SDK

await gitlab.project_milestones.list(
project_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "project_milestones",
"action": "list",
"params": {
"project_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
pageintegerNoPage number
per_pageintegerNoNumber of items per page
state"active" | "closed"NoFilter milestones by state
searchstringNoSearch for milestones by title or description
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
titlestring
descriptionnull | string
statestring
due_datenull | string
start_datenull | string
created_atstring
updated_atstring
web_urlstring
expirednull | boolean
group_idnull | integer
project_idnull | integer

Project Milestones Get

Get a single project milestone.

Python SDK

await gitlab.project_milestones.get(
project_id="<str>",
milestone_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "project_milestones",
"action": "get",
"params": {
"project_id": "<str>",
"milestone_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
project_idstringYesThe ID or URL-encoded path of the project
milestone_idintegerYesThe ID of the milestone
Response Schema

Records

Field NameTypeDescription
idinteger
iidinteger
titlestring
descriptionnull | string
statestring
due_datenull | string
start_datenull | string
created_atstring
updated_atstring
web_urlstring
expirednull | boolean
group_idnull | integer
project_idnull | integer

Search and filter project milestones records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await gitlab.project_milestones.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "project_milestones",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerID of the milestone
iidintegerInternal ID of the milestone within the project
project_idintegerID of the project
titlestringTitle of the milestone
descriptionstringDescription of the milestone
statestringState of the milestone
created_atstringTimestamp when the milestone was created
updated_atstringTimestamp when the milestone was last updated
due_datestringDue date of the milestone
start_datestringStart date of the milestone
expiredbooleanWhether the milestone is expired
web_urlstringWeb URL of the milestone
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerID of the milestone
data[].iidintegerInternal ID of the milestone within the project
data[].project_idintegerID of the project
data[].titlestringTitle of the milestone
data[].descriptionstringDescription of the milestone
data[].statestringState of the milestone
data[].created_atstringTimestamp when the milestone was created
data[].updated_atstringTimestamp when the milestone was last updated
data[].due_datestringDue date of the milestone
data[].start_datestringStart date of the milestone
data[].expiredbooleanWhether the milestone is expired
data[].web_urlstringWeb URL of the milestone